### Function

# Pango.AttrShape.new

#### Declaration [src]

    PangoAttribute*
    pango_attr_shape_new (
      const PangoRectangle* ink_rect,
      const PangoRectangle* logical_rect
    )

#### Description [src]

Create a new shape attribute.

A shape is used to impose a particular ink and logical rectangle on the result of shaping a particular glyph. This might be used, for instance, for embedding a picture or a widget inside a `PangoLayout`.

#### Parameters

`ink_rect` | `PangoRectangle`
| ink rectangle to assign to each character
| Ownership is not transferred to the callee
`logical_rect` | `PangoRectangle`
| logical rectangle to assign to each character
| Ownership is not transferred to the callee

#### Return value

Returns: `PangoAttribute`
the newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`.
Ownership of the data is transferred to the caller